Skip to content
Login Sign up

Yandex SERP API parameters

GET https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=<query>
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be yandex
qstringyesSearch query
lrintegernoYandex location code (see below)
langISO codenoResult language (ru, en, tr, uk)
pintegernoPage number, 0-indexed
devicedesktop | mobilenoSimulated device
withinintegernoRecency filter (days)
lrCity / region
1Moscow
213Moscow region
2St. Petersburg
11316Novosibirsk
54Yekaterinburg
43Kazan
47Nizhny Novgorod
65Samara
66Chelyabinsk
55Rostov-on-Don

For the full catalog across all Yandex regions, call engine=yandex_locations or refer to Yandex’s public lr reference.

Russian search in Moscow:

Terminal window
curl "https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=ресторан&lr=1&lang=ru"

Turkish search on mobile:

Terminal window
curl "https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=yemek&lang=tr&device=mobile"